package com.inspect.patrol.service;

import com.inspect.patrol.domain.PatrolPresetAction;

import java.util.List;

public interface IPatrolPresetActionService {
    List<PatrolPresetAction> selectPatrolPresetActionByPatrolPresetPosId(Long posId);

    List<PatrolPresetAction> selectPatrolPresetActionList(PatrolPresetAction action);

    int insertPatrolPresetAction(PatrolPresetAction action);

    int updatePatrolPresetAction(PatrolPresetAction action);

    int deletePatrolPresetActionByPatrolPresetActionIds(Long[] actionIds);

    int deletePatrolPresetActionByPatrolPresetActionId(Long actionId);
}
